Page MenuHomePhabricator

Can we scrap the `wikidata/query/gui-deploy` repo, or is it being used?
Closed, ResolvedPublic

Description

No changes since 2016: https://gerrit.wikimedia.org/r/plugins/gitiles/wikidata/query/gui-deploy/+log/master

Still run on CI as node 6(!)

Can we bin it?

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptMay 29 2020, 4:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jdforrester-WMF added a comment.EditedMay 29 2020, 7:09 PM

Aha! In that case:

  1. Can we remove the legacy node 6 CI from the master branch? (My main concern.)
  2. Would you like CI installed in the production branch?
  3. Can we delete the unused master and deploy branches?

Change 599971 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] layout: [wikidata/query/gui-deploy] Drop unused experimental node 6 CI

https://gerrit.wikimedia.org/r/599971

Change 599971 merged by jenkins-bot:
[integration/config@master] layout: [wikidata/query/gui-deploy] Drop unused experimental node 6 CI

https://gerrit.wikimedia.org/r/599971

Jdforrester-WMF closed this task as Declined.Jun 1 2020, 8:33 PM

I don’t know who has an overview of the current plans for that repo, or who even feels responsible for it… I think T210286 is the main task at the moment (and it’s been in limbo for a while), but T238303 also seems related.

master and deploy can almost certainly go away, yeah. The master^ commit is identical to an older wikidata/query/gui commit, and master only updates the project name in .gitreview; deploy has only two commits that differ from the production branch, which seem to have been squashed into one in wikidata/query/gui (its Add test files is the deploy repo’s Add test files + add README).

The deploy branch also seems to be mirrored in the wikidata/query/gui project, by the way (same commit hash), and can probably be removed there as well. Similarly, wikidata/query/gui also has an outdated copy the deploy repo’s production branch.

Mentioned in SAL (#wikimedia-releng) [2020-06-02T10:20:54Z] <Lucas_WMDE> wikidata/query/gui: deleted deploy and production branches, cf. T254027

Mentioned in SAL (#wikimedia-releng) [2020-06-02T10:25:47Z] <Lucas_WMDE> CORRECTION accidentally deleted deploy and production branches on wikidata/query/gui-deploy, production should not have been deleted there (T254027)

Mentioned in SAL (#wikimedia-releng) [2020-06-02T10:26:36Z] <Lucas_WMDE> but also, correctly I think, deleted deploy and production branches on wikidata/query/gui (T254027)

Sorry, I messed up… I had two browser tabs with the two projects open, and accidentally deleted the production branch on the deploy repo, rather than the gui repo. Can you / someone restore it? (And then point HEAD to production and delete master, I think.)

Mentioned in SAL (#wikimedia-releng) [2020-06-02T10:31:08Z] <Lucas_WMDE> wikidata/query/gui-deploy: recreated production branch (commit 9cab76d1281a1198766b485c815bc753d4171e94), pointed HEAD to production, deleted master branch, cf. T254027

Nevermind, I found the option to create the branch in the Gerrit GUI. Mostly fixed, I think – just one thing is odd:

~/git/wikidata-query-gui-deploy (production u=) $ git fetch
From gerrit:wikidata/query/gui-deploy
 - [deleted]         (none)     -> gerrit/master
   (refs/remotes/gerrit/HEAD has become dangling)

I already updated the HEAD in the settings to point to production (otherwise, I would not have been allowed to delete master, the previous HEAD), so I’m not sure why Git printed this error message? If I do a fresh clone of wikidata/query/gui-deploy.git, then both HEAD and origin/head point at production.

Aha, cool. Thanks for doing this.

On re-cloning it works fine for me too, so I think it's just a local cache issue. https://gerrit.wikimedia.org/g/wikidata/query/gui-deploy also looks good. Thanks!

If you want some CI installed, happy to discuss here or on a new task.

Jdforrester-WMF changed the task status from Declined to Resolved.Jun 2 2020, 3:52 PM